code for JAGS

model in "sales.bug"
data in "sales-data.R"
compile
inits in "sales-init.R"
initialize
update 20000
monitor set beta0
monitor set beta1
update 80000
coda *

*********************************************************************

R script (with rjags)

library(rjags)
library(coda)

# reading files (data and initial values)
sale<-read.jagsdata("sales-data.R")
ini<-read.jagsdata("sales-init.R")

# compiling and initializing
lm.mcmc <- jags.model("sales_bug.R",data=sale,inits=ini,n.chains=3)

# mcmc sampling
update(lm.mcmc,20000) # burn-in
posterior <- coda.samples(lm.mcmc, c('beta0','beta1'), 80000)

summary(posterior)

# plot(posterior) # if you want to plot the result
