# Bayesian Method (2nd edition)
# written by Jeff Gill
# http://jgill.wustl.edu/BMSBSA2/
# typed by Takuro Miyamoto

# R scripts for BUGS model of Example 10.2 (p.402-404) 
# Please see p.403-404 for details 

model {
  for (i in 1:n) {
    for (j in 1:t) {
      mu[i,j] <- beta0[i] + beta1[i]*(x1[j]-x1.mean);
      y[i,j] ~ dnorm(mu[i,j],tau);
    }
    beta0[i] ~ dnorm(mu.beta0,tau.beta0);
    beta1[i] ~ dnorm(mu.beta1,tau.beta1);
  }
  tau       ~dgamma(1.0E-2,1.0E-2);
  mu.beta0  ~dnorm(0,1.0E-2);
  tau.beta0 ~dgamma(1.0E-2,1.0E-2);
  mu.beta1  ~dnorm(0,1.0E-2);
  tau.beta1 ~dgamma(1.0E-2,1.0E-2);
  x1.mean  <- mean(x1[]);
}